"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocumentBuilder = void 0;
const model_1 = require("../model");
const TableBuilder_1 = require("./TableBuilder");
class DocumentBuilder {
    document = new model_1.Document();
    table(name, builder) {
        const tableBuilder = new TableBuilder_1.TableBuilder(name);
        builder(tableBuilder);
        this.document.tables.push(tableBuilder.table);
        return this;
    }
}
exports.DocumentBuilder = DocumentBuilder;
//# sourceMappingURL=DocumentBuilder.js.map