import { Attachment } from './Attachment';
import { Table } from './Table';
export declare enum MeasuringSystem {
    METRIC = "METRIC",
    IMPERIAL = "IMPERIAL"
}
export declare class Document {
    preamble: string | undefined;
    measuringSystem: MeasuringSystem;
    tables: Table[];
    attachments: Attachment[];
    indexByName(name: string): number;
    get(name: string): Table | undefined;
    getOrAdd(name: string): Table;
}
