import { ColumnDescription, ValueType } from './ColumnDescription';
import { ColumnDescriptions } from './ColumnDescriptions';
import { DataSet } from './DataSet';
export declare class Table {
    name: string;
    columnDescriptions: ColumnDescriptions;
    dataSets: DataSet[];
    constructor(name?: string);
    columnById(id: number): number;
    dataSetIndexById(id: number, value: string): number;
    dataSetById(id: number, value: string): DataSet | null;
    addColumn(id: number, name: string, unit: string, valueType: ValueType): ColumnDescription;
    addDataSet(): DataSet;
}
