import { LTTMasterData } from './LTTMasterData';
import { MachineLoadData } from './MachineLoadData';
import { PartsInProgram } from './PartsInProgram';
import { PartsInProgramPos } from './PartsInProgramPos';
import { PartUnload } from './PartUnload';
import { ProductionOrder } from './ProductionOrder';
import { Program } from './Program';
import { SetupPlan } from './SetupPlan';
import { SheetLoad } from './SheetLoad';
import { SheetLoadData } from './SheetLoadData';
import { SheetReposit } from './SheetReposit';
import { SheetTech } from './SheetTech';
import { ToolMasterData } from './ToolMasterData';
export declare class Document {
    productionOrders: ProductionOrder[];
    setupPlans: SetupPlan[];
    sheetTechs: SheetTech[];
    machineLoadDatas: MachineLoadData[];
    sheetLoads: SheetLoad[];
    sheetLoadDatas: SheetLoadData[];
    sheetReposits: SheetReposit[];
    partsInProgram: PartsInProgram[];
    partsInProgramPos: PartsInProgramPos[];
    partUnloads: PartUnload[];
    lttMasterData: LTTMasterData[];
    toolMasterData: ToolMasterData[];
    programs: Program[];
    get name(): string;
}
