"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LTTMasterData = void 0;
const LstData_1 = require("../model/LstData");
class LTTMasterData {
    static ID = 'LTT_STAMM';
    id;
    description;
    machineType;
    power;
    material;
    materialThickness;
    focalLength;
    nozzleType;
    cuttingUnit;
    kerfL;
    kerfM;
    kerfS;
    parent;
}
__decorate([
    LstData_1.LstData(10),
    __metadata("design:type", String)
], LTTMasterData.prototype, "id", void 0);
__decorate([
    LstData_1.LstData(50),
    __metadata("design:type", String)
], LTTMasterData.prototype, "description", void 0);
__decorate([
    LstData_1.LstData(80),
    __metadata("design:type", String)
], LTTMasterData.prototype, "machineType", void 0);
__decorate([
    LstData_1.LstData(90, { unit: 'W' }),
    __metadata("design:type", Number)
], LTTMasterData.prototype, "power", void 0);
__decorate([
    LstData_1.LstData(100),
    __metadata("design:type", String)
], LTTMasterData.prototype, "material", void 0);
__decorate([
    LstData_1.LstData(110, { unit: 'mm' }),
    __metadata("design:type", Number)
], LTTMasterData.prototype, "materialThickness", void 0);
__decorate([
    LstData_1.LstData(120, { unit: 'mm' }),
    __metadata("design:type", Number)
], LTTMasterData.prototype, "focalLength", void 0);
__decorate([
    LstData_1.LstData(130),
    __metadata("design:type", String)
], LTTMasterData.prototype, "nozzleType", void 0);
__decorate([
    LstData_1.LstData(140),
    __metadata("design:type", Number)
], LTTMasterData.prototype, "cuttingUnit", void 0);
__decorate([
    LstData_1.LstData(240, { unit: 'mm' }),
    __metadata("design:type", Number)
], LTTMasterData.prototype, "kerfL", void 0);
__decorate([
    LstData_1.LstData(350, { unit: 'mm' }),
    __metadata("design:type", Number)
], LTTMasterData.prototype, "kerfM", void 0);
__decorate([
    LstData_1.LstData(460, { unit: 'mm' }),
    __metadata("design:type", Number)
], LTTMasterData.prototype, "kerfS", void 0);
__decorate([
    LstData_1.LstData(2300),
    __metadata("design:type", String)
], LTTMasterData.prototype, "parent", void 0);
exports.LTTMasterData = LTTMasterData;
//# sourceMappingURL=LTTMasterData.js.map