"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SheetLoad = void 0;
const LstData_1 = require("../model/LstData");
function toHex(v) {
    return v.toString(16).toUpperCase().padStart(8, '0');
}
function fromHex(v) {
    return parseInt(v, 16);
}
class SheetLoad {
    static ID = 'SHEET_LOAD';
    name;
    loadingPositionX;
    loadingPositionY;
    doubleSheetDetectionActive;
    calibrationActive;
    measureSheetActive;
    measureRangeX;
    measureRangeY;
    measuringCorner;
    sheetAlignment;
    peelingType;
    loadingType;
    suctionCupSelectionType;
    fanningMagnet;
    rotatingCylinder;
    suctionCup1;
    suctionCup2;
}
__decorate([
    LstData_1.LstData(10),
    __metadata("design:type", String)
], SheetLoad.prototype, "name", void 0);
__decorate([
    LstData_1.LstData(20, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoad.prototype, "loadingPositionX", void 0);
__decorate([
    LstData_1.LstData(30, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoad.prototype, "loadingPositionY", void 0);
__decorate([
    LstData_1.LstData(580),
    __metadata("design:type", Boolean)
], SheetLoad.prototype, "doubleSheetDetectionActive", void 0);
__decorate([
    LstData_1.LstData(660),
    __metadata("design:type", Boolean)
], SheetLoad.prototype, "calibrationActive", void 0);
__decorate([
    LstData_1.LstData(630),
    __metadata("design:type", Boolean)
], SheetLoad.prototype, "measureSheetActive", void 0);
__decorate([
    LstData_1.LstData(640, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoad.prototype, "measureRangeX", void 0);
__decorate([
    LstData_1.LstData(650, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoad.prototype, "measureRangeY", void 0);
__decorate([
    LstData_1.LstData(700),
    __metadata("design:type", String)
], SheetLoad.prototype, "measuringCorner", void 0);
__decorate([
    LstData_1.LstData(820),
    __metadata("design:type", Boolean)
], SheetLoad.prototype, "sheetAlignment", void 0);
__decorate([
    LstData_1.LstData(590),
    __metadata("design:type", String)
], SheetLoad.prototype, "peelingType", void 0);
__decorate([
    LstData_1.LstData(500),
    __metadata("design:type", String)
], SheetLoad.prototype, "loadingType", void 0);
__decorate([
    LstData_1.LstData(810),
    __metadata("design:type", String)
], SheetLoad.prototype, "suctionCupSelectionType", void 0);
__decorate([
    LstData_1.LstData(720),
    __metadata("design:type", Boolean)
], SheetLoad.prototype, "fanningMagnet", void 0);
__decorate([
    LstData_1.LstData(730),
    __metadata("design:type", Boolean)
], SheetLoad.prototype, "rotatingCylinder", void 0);
__decorate([
    LstData_1.LstData(110, { read: fromHex, write: toHex, default: 0 }),
    __metadata("design:type", Number)
], SheetLoad.prototype, "suctionCup1", void 0);
__decorate([
    LstData_1.LstData(110, { read: fromHex, write: toHex, default: 0 }),
    __metadata("design:type", Number)
], SheetLoad.prototype, "suctionCup2", void 0);
exports.SheetLoad = SheetLoad;
//# sourceMappingURL=SheetLoad.js.map