"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SheetLoadData = void 0;
const LstData_1 = require("../model/LstData");
function toHex(v) {
    return v.toString(16).toUpperCase().padStart(8, '0');
}
function fromHex(v) {
    return parseInt(v, 16);
}
class SheetLoadData {
    static ID = 'SHEET_LOAD_DATA';
    name;
    doubleSheetDetectionActive;
    sheetAlignment;
    peelingType;
    loadingType;
    suctionCupSelectionType;
    fanningMagnet;
    rotatingCylinder;
    backStopCorner;
    xOffsetSheetPosition;
    suctionCup1;
    suctionCup2;
    suctionCup3;
    suctionCup4;
    suctionCup5;
    suctionCup6;
    suctionCup7;
    suctionCup8;
    console1X;
    console2X;
    console3X;
    console1XShuttle1Y;
    console1XShuttle2Y;
    console1XShuttle3Y;
    console2XShuttle1Y;
    console2XShuttle2Y;
    console2XShuttle3Y;
    console3XShuttle1Y;
    console3XShuttle2Y;
    console3XShuttle3Y;
    consolesNotUsed;
    console1ShuttlesNotUsed;
    console2ShuttlesNotUsed;
    console3ShuttlesNotUsed;
}
__decorate([
    LstData_1.LstData(10),
    __metadata("design:type", String)
], SheetLoadData.prototype, "name", void 0);
__decorate([
    LstData_1.LstData(30),
    __metadata("design:type", Boolean)
], SheetLoadData.prototype, "doubleSheetDetectionActive", void 0);
__decorate([
    LstData_1.LstData(60),
    __metadata("design:type", Boolean)
], SheetLoadData.prototype, "sheetAlignment", void 0);
__decorate([
    LstData_1.LstData(80),
    __metadata("design:type", String)
], SheetLoadData.prototype, "peelingType", void 0);
__decorate([
    LstData_1.LstData(230),
    __metadata("design:type", String)
], SheetLoadData.prototype, "loadingType", void 0);
__decorate([
    LstData_1.LstData(300),
    __metadata("design:type", String)
], SheetLoadData.prototype, "suctionCupSelectionType", void 0);
__decorate([
    LstData_1.LstData(350),
    __metadata("design:type", Boolean)
], SheetLoadData.prototype, "fanningMagnet", void 0);
__decorate([
    LstData_1.LstData(360),
    __metadata("design:type", Boolean)
], SheetLoadData.prototype, "rotatingCylinder", void 0);
__decorate([
    LstData_1.LstData(370),
    __metadata("design:type", String)
], SheetLoadData.prototype, "backStopCorner", void 0);
__decorate([
    LstData_1.LstData(510, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "xOffsetSheetPosition", void 0);
__decorate([
    LstData_1.LstData(110, { read: fromHex, write: toHex, default: 0 }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "suctionCup1", void 0);
__decorate([
    LstData_1.LstData(120, { read: fromHex, write: toHex, default: 0 }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "suctionCup2", void 0);
__decorate([
    LstData_1.LstData(130, { read: fromHex, write: toHex, default: 0 }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "suctionCup3", void 0);
__decorate([
    LstData_1.LstData(140, { read: fromHex, write: toHex, default: 0 }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "suctionCup4", void 0);
__decorate([
    LstData_1.LstData(310, { read: fromHex, write: toHex, default: 0 }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "suctionCup5", void 0);
__decorate([
    LstData_1.LstData(320, { read: fromHex, write: toHex, default: 0 }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "suctionCup6", void 0);
__decorate([
    LstData_1.LstData(330, { read: fromHex, write: toHex, default: 0 }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "suctionCup7", void 0);
__decorate([
    LstData_1.LstData(340, { read: fromHex, write: toHex, default: 0 }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "suctionCup8", void 0);
__decorate([
    LstData_1.LstData(380, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console1X", void 0);
__decorate([
    LstData_1.LstData(390, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console2X", void 0);
__decorate([
    LstData_1.LstData(400, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console3X", void 0);
__decorate([
    LstData_1.LstData(410, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console1XShuttle1Y", void 0);
__decorate([
    LstData_1.LstData(420, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console1XShuttle2Y", void 0);
__decorate([
    LstData_1.LstData(430, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console1XShuttle3Y", void 0);
__decorate([
    LstData_1.LstData(440, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console2XShuttle1Y", void 0);
__decorate([
    LstData_1.LstData(450, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console2XShuttle2Y", void 0);
__decorate([
    LstData_1.LstData(460, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console2XShuttle3Y", void 0);
__decorate([
    LstData_1.LstData(470, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console3XShuttle1Y", void 0);
__decorate([
    LstData_1.LstData(480, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console3XShuttle2Y", void 0);
__decorate([
    LstData_1.LstData(490, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console3XShuttle3Y", void 0);
__decorate([
    LstData_1.LstData(500),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "consolesNotUsed", void 0);
__decorate([
    LstData_1.LstData(520),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console1ShuttlesNotUsed", void 0);
__decorate([
    LstData_1.LstData(530),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console2ShuttlesNotUsed", void 0);
__decorate([
    LstData_1.LstData(540),
    __metadata("design:type", Number)
], SheetLoadData.prototype, "console3ShuttlesNotUsed", void 0);
exports.SheetLoadData = SheetLoadData;
//# sourceMappingURL=SheetLoadData.js.map