"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToolMasterData = void 0;
const LstData_1 = require("../model/LstData");
class ToolMasterData {
    static ID = 'WZG_STAMM';
    id;
    duplicate;
    punch;
    index;
    type;
    whisperTool;
    multiTool;
    description;
    rotation;
    mountingAngle;
    length1;
    length2;
    length3;
    length4;
    length5;
    length6;
    feedMin;
    feedMax;
    multiToolOffsetX;
    multiToolOffsetY;
    toolContourSizeX;
    toolContourSizeY;
    toolContourDiameter;
    toolContourCornerRadius;
    toolContourAngle;
    immersionDepth;
    toolWebThickness1;
    toolWebThickness2;
    cuttingEdgeRadius1;
    cuttingEdgeRadius2;
    cuttingEdgeRadius3;
    cuttingEdgeRadius4;
    interspace1;
    interspace2;
    interspace3;
    interspace4;
    offsetAngle;
    formingResultHeight;
    coreHoleDiameter;
    threadLead;
    chamferHeight;
}
__decorate([
    LstData_1.LstData(20),
    __metadata("design:type", String)
], ToolMasterData.prototype, "id", void 0);
__decorate([
    LstData_1.LstData(40),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "duplicate", void 0);
__decorate([
    LstData_1.LstData(40),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "punch", void 0);
__decorate([
    LstData_1.LstData(70),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "index", void 0);
__decorate([
    LstData_1.LstData(80),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "type", void 0);
__decorate([
    LstData_1.LstData(90),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "whisperTool", void 0);
__decorate([
    LstData_1.LstData(100),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "multiTool", void 0);
__decorate([
    LstData_1.LstData(130),
    __metadata("design:type", String)
], ToolMasterData.prototype, "description", void 0);
__decorate([
    LstData_1.LstData(160),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "rotation", void 0);
__decorate([
    LstData_1.LstData(170),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "mountingAngle", void 0);
__decorate([
    LstData_1.LstData(180, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "length1", void 0);
__decorate([
    LstData_1.LstData(190, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "length2", void 0);
__decorate([
    LstData_1.LstData(200, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "length3", void 0);
__decorate([
    LstData_1.LstData(210, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "length4", void 0);
__decorate([
    LstData_1.LstData(220, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "length5", void 0);
__decorate([
    LstData_1.LstData(230, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "length6", void 0);
__decorate([
    LstData_1.LstData(240, { unit: 'm/min' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "feedMin", void 0);
__decorate([
    LstData_1.LstData(250, { unit: 'm/min' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "feedMax", void 0);
__decorate([
    LstData_1.LstData(380, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "multiToolOffsetX", void 0);
__decorate([
    LstData_1.LstData(390, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "multiToolOffsetY", void 0);
__decorate([
    LstData_1.LstData(600, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "toolContourSizeX", void 0);
__decorate([
    LstData_1.LstData(610, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "toolContourSizeY", void 0);
__decorate([
    LstData_1.LstData(620, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "toolContourDiameter", void 0);
__decorate([
    LstData_1.LstData(630, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "toolContourCornerRadius", void 0);
__decorate([
    LstData_1.LstData(640, { unit: 'deg' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "toolContourAngle", void 0);
__decorate([
    LstData_1.LstData(650, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "immersionDepth", void 0);
__decorate([
    LstData_1.LstData(660, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "toolWebThickness1", void 0);
__decorate([
    LstData_1.LstData(670, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "toolWebThickness2", void 0);
__decorate([
    LstData_1.LstData(680, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "cuttingEdgeRadius1", void 0);
__decorate([
    LstData_1.LstData(690, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "cuttingEdgeRadius2", void 0);
__decorate([
    LstData_1.LstData(700, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "cuttingEdgeRadius3", void 0);
__decorate([
    LstData_1.LstData(710, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "cuttingEdgeRadius4", void 0);
__decorate([
    LstData_1.LstData(720, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "interspace1", void 0);
__decorate([
    LstData_1.LstData(730, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "interspace2", void 0);
__decorate([
    LstData_1.LstData(740, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "interspace3", void 0);
__decorate([
    LstData_1.LstData(750, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "interspace4", void 0);
__decorate([
    LstData_1.LstData(760, { unit: 'deg' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "offsetAngle", void 0);
__decorate([
    LstData_1.LstData(770, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "formingResultHeight", void 0);
__decorate([
    LstData_1.LstData(810, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "coreHoleDiameter", void 0);
__decorate([
    LstData_1.LstData(820, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "threadLead", void 0);
__decorate([
    LstData_1.LstData(1010, { unit: 'mm' }),
    __metadata("design:type", Number)
], ToolMasterData.prototype, "chamferHeight", void 0);
exports.ToolMasterData = ToolMasterData;
//# sourceMappingURL=ToolMasterData.js.map