import { Table } from '../model';
export declare class TableBuilder {
    constructor(name: string);
    table: Table;
    text(id: number, name: string, unit?: string): TableBuilder;
    num(id: number, name: string, unit?: string): TableBuilder;
    bool(id: number, name: string, unit?: string): TableBuilder;
    enum(id: number, name: string, unit?: string): TableBuilder;
    mm(id: number, name: string): TableBuilder;
    kg(id: number, name: string): TableBuilder;
    min(id: number, name: string): TableBuilder;
    s(id: number, name: string): TableBuilder;
    kg_dm3(id: number, name: string): TableBuilder;
    m_min(id: number, name: string): TableBuilder;
    m_s(id: number, name: string): TableBuilder;
    W(id: number, name: string): TableBuilder;
    m_s2(id: number, name: string): TableBuilder;
    Hz(id: number, name: string): TableBuilder;
    bar(id: number, name: string): TableBuilder;
    mm2(id: number, name: string): TableBuilder;
    deg(id: number, name: string): TableBuilder;
    data(values: (number | string | boolean)[] | (number | string | boolean)[][]): TableBuilder;
}
