import { ColumnDescriptions } from './ColumnDescriptions';
export declare class DataSet {
    columnDescriptions: ColumnDescriptions;
    values: string[];
    attachment: string[];
    constructor(columnDescriptions: ColumnDescriptions);
    hasId(id: number): boolean;
    byId(id: number): string | undefined;
    numberById(id: number): number | undefined;
    boolById(id: number): boolean | undefined;
    trySetById(id: number, value: string): boolean;
    trySetNumberById(id: number, value: number): boolean;
    trySetBoolById(id: number, value: boolean): boolean;
}
