"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValueType = exports.Table = exports.MeasuringSystem = exports.loadDocument = exports.newDocument = exports.LstTable = exports.loadDataSet = exports.newDataSet = exports.newColumnDescriptions = exports.LstDataAttachment = exports.LstData = exports.Document = exports.DataSetDegrees = exports.DataSetBar = exports.DataSetHertz = exports.DataSetMetersPerSquareSeconds = exports.DataSetWatt = exports.DataSetMetersPerSecond = exports.DataSetMetersPerMinute = exports.DataSetKilogramPerLiter = exports.DataSetSeconds = exports.DataSetMinutes = exports.DataSetKilogram = exports.DataSetSquareMillimeter = exports.DataSetMillimeter = exports.DataSetUnit = exports.DataSetAny = exports.DataSetBool = exports.DataSetNumber = exports.DataSetString = exports.DataSet = exports.ColumnDescriptions = exports.ColumnDescription = void 0;
const ColumnDescription_1 = require("./ColumnDescription");
Object.defineProperty(exports, "ColumnDescription", { enumerable: true, get: function () { return ColumnDescription_1.ColumnDescription; } });
Object.defineProperty(exports, "ValueType", { enumerable: true, get: function () { return ColumnDescription_1.ValueType; } });
const ColumnDescriptions_1 = require("./ColumnDescriptions");
Object.defineProperty(exports, "ColumnDescriptions", { enumerable: true, get: function () { return ColumnDescriptions_1.ColumnDescriptions; } });
const DataSet_1 = require("./DataSet");
Object.defineProperty(exports, "DataSet", { enumerable: true, get: function () { return DataSet_1.DataSet; } });
const DataSetValues_1 = require("./DataSetValues");
Object.defineProperty(exports, "DataSetAny", { enumerable: true, get: function () { return DataSetValues_1.DataSetAny; } });
Object.defineProperty(exports, "DataSetBar", { enumerable: true, get: function () { return DataSetValues_1.DataSetBar; } });
Object.defineProperty(exports, "DataSetBool", { enumerable: true, get: function () { return DataSetValues_1.DataSetBool; } });
Object.defineProperty(exports, "DataSetDegrees", { enumerable: true, get: function () { return DataSetValues_1.DataSetDegrees; } });
Object.defineProperty(exports, "DataSetHertz", { enumerable: true, get: function () { return DataSetValues_1.DataSetHertz; } });
Object.defineProperty(exports, "DataSetKilogram", { enumerable: true, get: function () { return DataSetValues_1.DataSetKilogram; } });
Object.defineProperty(exports, "DataSetKilogramPerLiter", { enumerable: true, get: function () { return DataSetValues_1.DataSetKilogramPerLiter; } });
Object.defineProperty(exports, "DataSetMetersPerMinute", { enumerable: true, get: function () { return DataSetValues_1.DataSetMetersPerMinute; } });
Object.defineProperty(exports, "DataSetMetersPerSecond", { enumerable: true, get: function () { return DataSetValues_1.DataSetMetersPerSecond; } });
Object.defineProperty(exports, "DataSetMetersPerSquareSeconds", { enumerable: true, get: function () { return DataSetValues_1.DataSetMetersPerSquareSeconds; } });
Object.defineProperty(exports, "DataSetMillimeter", { enumerable: true, get: function () { return DataSetValues_1.DataSetMillimeter; } });
Object.defineProperty(exports, "DataSetMinutes", { enumerable: true, get: function () { return DataSetValues_1.DataSetMinutes; } });
Object.defineProperty(exports, "DataSetNumber", { enumerable: true, get: function () { return DataSetValues_1.DataSetNumber; } });
Object.defineProperty(exports, "DataSetSeconds", { enumerable: true, get: function () { return DataSetValues_1.DataSetSeconds; } });
Object.defineProperty(exports, "DataSetSquareMillimeter", { enumerable: true, get: function () { return DataSetValues_1.DataSetSquareMillimeter; } });
Object.defineProperty(exports, "DataSetString", { enumerable: true, get: function () { return DataSetValues_1.DataSetString; } });
Object.defineProperty(exports, "DataSetUnit", { enumerable: true, get: function () { return DataSetValues_1.DataSetUnit; } });
Object.defineProperty(exports, "DataSetWatt", { enumerable: true, get: function () { return DataSetValues_1.DataSetWatt; } });
const Document_1 = require("./Document");
Object.defineProperty(exports, "Document", { enumerable: true, get: function () { return Document_1.Document; } });
Object.defineProperty(exports, "MeasuringSystem", { enumerable: true, get: function () { return Document_1.MeasuringSystem; } });
const LstData_1 = require("./LstData");
Object.defineProperty(exports, "loadDataSet", { enumerable: true, get: function () { return LstData_1.loadDataSet; } });
Object.defineProperty(exports, "LstData", { enumerable: true, get: function () { return LstData_1.LstData; } });
Object.defineProperty(exports, "LstDataAttachment", { enumerable: true, get: function () { return LstData_1.LstDataAttachment; } });
Object.defineProperty(exports, "newColumnDescriptions", { enumerable: true, get: function () { return LstData_1.newColumnDescriptions; } });
Object.defineProperty(exports, "newDataSet", { enumerable: true, get: function () { return LstData_1.newDataSet; } });
const LstTable_1 = require("./LstTable");
Object.defineProperty(exports, "loadDocument", { enumerable: true, get: function () { return LstTable_1.loadDocument; } });
Object.defineProperty(exports, "LstTable", { enumerable: true, get: function () { return LstTable_1.LstTable; } });
Object.defineProperty(exports, "newDocument", { enumerable: true, get: function () { return LstTable_1.newDocument; } });
const Table_1 = require("./Table");
Object.defineProperty(exports, "Table", { enumerable: true, get: function () { return Table_1.Table; } });
//# sourceMappingURL=index.js.map