export declare const Constants: {
    BEGIN_DOCUMENT: string;
    END_DOCUMENT: string;
    COMMENT: string;
    TC500_BEGIN_DOCUMENT: string;
    Header: {
        METRIC_MEASURE: string;
        IMPERIAL_MEASURE: string;
    };
    Table: {
        BEGIN_PREFIX: string;
        END_PREFIX: string;
        ATTACHMENT_START_PREFIX: string;
        ATTACHMENT_STOP_PREFIX: string;
        LINE_CONNECTOR: string;
        FIELD_CONNECTOR: string;
        STRING_SEPARATOR: string;
        FIELD_SEPARATOR: string;
        EMPTY_FIELD_TOKEN: string;
        Count: {
            FIELDS_COUNT: number;
            ID: string;
            ID_INDEX: number;
            TARGET_ID_INDEX: number;
            COUNT_INDEX: number;
        };
        ColumnDescription: {
            FIELD_COUNT: number;
            ID: string;
            ID_INDEX: number;
            COLUMN_ID_INDEX: number;
            NAME_INDEX: number;
            UNIT_INDEX: number;
            VALUE_TYPE_INDEX: number;
            TEXT_VALUE_TYPE: string;
            NUMBER_VALUE_TYPE: string;
            ENUM_VALUE_TYPE: string;
            BOOLEAN_VALUE_TYPE: string;
        };
        Data: {
            ID: string;
            ID_INDEX: number;
            BNC_GE: string;
            BEGIN_ATTACHMENT: string;
            END_ATTACHMENT: string;
        };
    };
};
