export declare class Parser {
    private source;
    private pos;
    get isOk(): boolean;
    get isAtLineEnd(): boolean;
    token: string;
    char: string | null;
    lineNumber: number;
    constructor(source: string);
    tryReadContentLine(): boolean;
    tryReadLine(): boolean;
    trySkipWhiteSpacesCommentsOrLineEnd(): void;
    trySkipWhiteSpacesOrLineEnd(): void;
    trySkipWhiteSpaces(): void;
    tryReadValueOrString(): boolean;
    readValue(): void;
    readString(): void;
    tryReadFieldSeparator(): boolean;
    readNextChar(): void;
}
