import { Table } from '../model/Table';
import { Parser } from './Parser';
import { TableLineReader } from './TableLineReader';
export declare class TableReader {
    private parser;
    tableLineReader: TableLineReader;
    table?: Table;
    constructor(parser: Parser);
    read(): void;
    private readBegin;
    private readColumnDescriptions;
    private addColumnSpecification;
    private toValueType;
    private readData;
    private addDataSet;
    private readAttachment;
    private addAttachment;
    private readEnd;
    private readCountDataSet;
    private isColumDescriptionLine;
    private isDataSetLine;
    private isAttachmentStartLine;
    private isLineToIgnore;
}
