"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MachineLoadData = void 0;
const LstData_1 = require("../model/LstData");
class MachineLoadData {
    static ID = 'MACHINE_LOAD_DATA';
    name;
    loadingType;
    calibrationActive;
    measureSheetActive;
    measureRangeX;
    measureRangeY;
    measuringCorner;
    retractClamps;
}
__decorate([
    LstData_1.LstData(10),
    __metadata("design:type", String)
], MachineLoadData.prototype, "name", void 0);
__decorate([
    LstData_1.LstData(50),
    __metadata("design:type", String)
], MachineLoadData.prototype, "loadingType", void 0);
__decorate([
    LstData_1.LstData(60),
    __metadata("design:type", Boolean)
], MachineLoadData.prototype, "calibrationActive", void 0);
__decorate([
    LstData_1.LstData(120),
    __metadata("design:type", Boolean)
], MachineLoadData.prototype, "measureSheetActive", void 0);
__decorate([
    LstData_1.LstData(130, { unit: 'mm' }),
    __metadata("design:type", Number)
], MachineLoadData.prototype, "measureRangeX", void 0);
__decorate([
    LstData_1.LstData(140, { unit: 'mm' }),
    __metadata("design:type", Number)
], MachineLoadData.prototype, "measureRangeY", void 0);
__decorate([
    LstData_1.LstData(150),
    __metadata("design:type", String)
], MachineLoadData.prototype, "measuringCorner", void 0);
__decorate([
    LstData_1.LstData(240),
    __metadata("design:type", Boolean)
], MachineLoadData.prototype, "retractClamps", void 0);
exports.MachineLoadData = MachineLoadData;
//# sourceMappingURL=MachineLoadData.js.map