"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PartUnload = void 0;
const LstData_1 = require("../model/LstData");
class PartUnload {
    static ID = 'PART_UNLOAD';
    id;
    boundsX;
    boundsY;
    offsetX;
    pushOutPathX;
    pushOutPathY;
    pushOutFeed;
    withLightBarrierMonitoring;
    withAirBlastSupport;
    definedFlap;
    flapClosed;
    manual;
    partInRemainderGrid;
    separateBeforeOpen;
    lowerBeforeSwivel;
    pushOutBeforeOpen;
    highestPositionAfterSeparation;
    // @LstData(200)
    // resetMultiToolOffsetAfterPushOut:   boolean; // ?
    bucketStorageLocation;
    unloadingDevice;
    liftUnloadingPosition;
    liftUnloadingLocation;
    liftOffsetX;
    liftSortOffsetY;
    liftPartThickness;
    liftSuctionCupGroup1;
    liftSuctionCupGroup2;
    liftSuctionCupGroup3;
    liftSuctionCupGroup4;
    liftSuctionCupGroup5;
    liftVelocityPercent;
    liftAccelerationPercent;
    liftSortVelocityPercent;
    liftSortAccelerationPercent;
    liftUnloadUnderToolHolder;
    liftDropFromAbove;
    liftFullStackDropFromAbove;
    liftUnloadPushedOut;
    liftLayDownPart;
    liftPlaceUnderTable;
    liftFixOnSeparate;
    chipFlapClosed;
    moveBackAfterPushOut;
    optionsForManualUnloading;
    liftSuctionCupGroup6;
    minArea;
    maxArea;
    suctionCupFrameDisplacementY;
    rootTable;
    outerContourFile;
    stack;
    drawingNumber;
    desiredLayDownHeight;
    desiredPlacementMode;
    desiredUnloadingDevice;
    stackBoundsX;
    stackBoundsY;
    stackThickness;
    stackHeight;
    measurementFrequency;
    stackPartCount;
    palletOffsetX;
    palletOffsetY;
    desiredUnloadingUnit;
    suctionCupFrameOffsetX;
    suctionCupFrameOffsetY;
    drawing;
    drawingFilename;
    stackGroupNumber;
    partOffsetInStackX;
    partOffsetInStackY;
    liftSuctionCupGroup7;
    closePartGateAfterUnload;
}
__decorate([
    LstData_1.LstData(10),
    __metadata("design:type", String)
], PartUnload.prototype, "id", void 0);
__decorate([
    LstData_1.LstData(20, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "boundsX", void 0);
__decorate([
    LstData_1.LstData(30, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "boundsY", void 0);
__decorate([
    LstData_1.LstData(40, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "offsetX", void 0);
__decorate([
    LstData_1.LstData(50, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "pushOutPathX", void 0);
__decorate([
    LstData_1.LstData(60, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "pushOutPathY", void 0);
__decorate([
    LstData_1.LstData(70, { unit: 'm/min' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "pushOutFeed", void 0);
__decorate([
    LstData_1.LstData(80),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "withLightBarrierMonitoring", void 0);
__decorate([
    LstData_1.LstData(90),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "withAirBlastSupport", void 0);
__decorate([
    LstData_1.LstData(110),
    __metadata("design:type", Number)
], PartUnload.prototype, "definedFlap", void 0);
__decorate([
    LstData_1.LstData(120),
    __metadata("design:type", Number)
], PartUnload.prototype, "flapClosed", void 0);
__decorate([
    LstData_1.LstData(130),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "manual", void 0);
__decorate([
    LstData_1.LstData(140),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "partInRemainderGrid", void 0);
__decorate([
    LstData_1.LstData(150),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "separateBeforeOpen", void 0);
__decorate([
    LstData_1.LstData(160),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "lowerBeforeSwivel", void 0);
__decorate([
    LstData_1.LstData(170),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "pushOutBeforeOpen", void 0);
__decorate([
    LstData_1.LstData(180),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "highestPositionAfterSeparation", void 0);
__decorate([
    LstData_1.LstData(570),
    __metadata("design:type", Number)
], PartUnload.prototype, "bucketStorageLocation", void 0);
__decorate([
    LstData_1.LstData(580),
    __metadata("design:type", Number)
], PartUnload.prototype, "unloadingDevice", void 0);
__decorate([
    LstData_1.LstData(590, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftUnloadingPosition", void 0);
__decorate([
    LstData_1.LstData(600),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftUnloadingLocation", void 0);
__decorate([
    LstData_1.LstData(610, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftOffsetX", void 0);
__decorate([
    LstData_1.LstData(620, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftSortOffsetY", void 0);
__decorate([
    LstData_1.LstData(630, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftPartThickness", void 0);
__decorate([
    LstData_1.LstData(640),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftSuctionCupGroup1", void 0);
__decorate([
    LstData_1.LstData(650),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftSuctionCupGroup2", void 0);
__decorate([
    LstData_1.LstData(660),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftSuctionCupGroup3", void 0);
__decorate([
    LstData_1.LstData(670),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftSuctionCupGroup4", void 0);
__decorate([
    LstData_1.LstData(680),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftSuctionCupGroup5", void 0);
__decorate([
    LstData_1.LstData(690),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftVelocityPercent", void 0);
__decorate([
    LstData_1.LstData(700),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftAccelerationPercent", void 0);
__decorate([
    LstData_1.LstData(710),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftSortVelocityPercent", void 0);
__decorate([
    LstData_1.LstData(720),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftSortAccelerationPercent", void 0);
__decorate([
    LstData_1.LstData(740),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "liftUnloadUnderToolHolder", void 0);
__decorate([
    LstData_1.LstData(750),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "liftDropFromAbove", void 0);
__decorate([
    LstData_1.LstData(760),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "liftFullStackDropFromAbove", void 0);
__decorate([
    LstData_1.LstData(770),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "liftUnloadPushedOut", void 0);
__decorate([
    LstData_1.LstData(780),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "liftLayDownPart", void 0);
__decorate([
    LstData_1.LstData(790),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "liftPlaceUnderTable", void 0);
__decorate([
    LstData_1.LstData(800),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "liftFixOnSeparate", void 0);
__decorate([
    LstData_1.LstData(810),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "chipFlapClosed", void 0);
__decorate([
    LstData_1.LstData(820),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "moveBackAfterPushOut", void 0);
__decorate([
    LstData_1.LstData(830),
    __metadata("design:type", Number)
], PartUnload.prototype, "optionsForManualUnloading", void 0);
__decorate([
    LstData_1.LstData(840),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftSuctionCupGroup6", void 0);
__decorate([
    LstData_1.LstData(860, { unit: 'mm2' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "minArea", void 0);
__decorate([
    LstData_1.LstData(870, { unit: 'mm2' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "maxArea", void 0);
__decorate([
    LstData_1.LstData(880, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "suctionCupFrameDisplacementY", void 0);
__decorate([
    LstData_1.LstData(1000),
    __metadata("design:type", Number)
], PartUnload.prototype, "rootTable", void 0);
__decorate([
    LstData_1.LstData(1010),
    __metadata("design:type", Number)
], PartUnload.prototype, "outerContourFile", void 0);
__decorate([
    LstData_1.LstData(1020),
    __metadata("design:type", Number)
], PartUnload.prototype, "stack", void 0);
__decorate([
    LstData_1.LstData(1030),
    __metadata("design:type", String)
], PartUnload.prototype, "drawingNumber", void 0);
__decorate([
    LstData_1.LstData(1040, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "desiredLayDownHeight", void 0);
__decorate([
    LstData_1.LstData(1050),
    __metadata("design:type", Number)
], PartUnload.prototype, "desiredPlacementMode", void 0);
__decorate([
    LstData_1.LstData(1060),
    __metadata("design:type", Number)
], PartUnload.prototype, "desiredUnloadingDevice", void 0);
__decorate([
    LstData_1.LstData(1070, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "stackBoundsX", void 0);
__decorate([
    LstData_1.LstData(1080, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "stackBoundsY", void 0);
__decorate([
    LstData_1.LstData(1090, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "stackThickness", void 0);
__decorate([
    LstData_1.LstData(1100, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "stackHeight", void 0);
__decorate([
    LstData_1.LstData(1110),
    __metadata("design:type", Number)
], PartUnload.prototype, "measurementFrequency", void 0);
__decorate([
    LstData_1.LstData(1120),
    __metadata("design:type", Number)
], PartUnload.prototype, "stackPartCount", void 0);
__decorate([
    LstData_1.LstData(1130, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "palletOffsetX", void 0);
__decorate([
    LstData_1.LstData(1140, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "palletOffsetY", void 0);
__decorate([
    LstData_1.LstData(1150),
    __metadata("design:type", Number)
], PartUnload.prototype, "desiredUnloadingUnit", void 0);
__decorate([
    LstData_1.LstData(1160, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "suctionCupFrameOffsetX", void 0);
__decorate([
    LstData_1.LstData(1170, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "suctionCupFrameOffsetY", void 0);
__decorate([
    LstData_1.LstData(1180),
    __metadata("design:type", String)
], PartUnload.prototype, "drawing", void 0);
__decorate([
    LstData_1.LstData(1190),
    __metadata("design:type", String)
], PartUnload.prototype, "drawingFilename", void 0);
__decorate([
    LstData_1.LstData(1200),
    __metadata("design:type", Number)
], PartUnload.prototype, "stackGroupNumber", void 0);
__decorate([
    LstData_1.LstData(1210, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "partOffsetInStackX", void 0);
__decorate([
    LstData_1.LstData(1220, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartUnload.prototype, "partOffsetInStackY", void 0);
__decorate([
    LstData_1.LstData(1350),
    __metadata("design:type", Number)
], PartUnload.prototype, "liftSuctionCupGroup7", void 0);
__decorate([
    LstData_1.LstData(1360),
    __metadata("design:type", Boolean)
], PartUnload.prototype, "closePartGateAfterUnload", void 0);
exports.PartUnload = PartUnload;
//# sourceMappingURL=PartUnload.js.map