"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PartsInProgram = void 0;
const LstData_1 = require("../model/LstData");
class PartsInProgram {
    static ID = 'PARTS_IN_PROGRAM';
    mainProgramName;
    partId;
    fileName;
    count;
    fileNameWithoutExtension;
    processingTime;
    area;
    customer;
    partNumber;
    name;
    sizeX;
    sizeY;
    toBook;
    centerOfGravityX;
    centerOfGravityY;
    grossArea;
    sizeZInStack;
    partTypeIndex;
    mirroredCount;
    angleInFile;
    trumpf;
}
__decorate([
    LstData_1.LstData(10),
    __metadata("design:type", String)
], PartsInProgram.prototype, "mainProgramName", void 0);
__decorate([
    LstData_1.LstData(30),
    __metadata("design:type", String)
], PartsInProgram.prototype, "partId", void 0);
__decorate([
    LstData_1.LstData(50),
    __metadata("design:type", String)
], PartsInProgram.prototype, "fileName", void 0);
__decorate([
    LstData_1.LstData(60),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "count", void 0);
__decorate([
    LstData_1.LstData(70),
    __metadata("design:type", String)
], PartsInProgram.prototype, "fileNameWithoutExtension", void 0);
__decorate([
    LstData_1.LstData(80, { unit: 'min' }),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "processingTime", void 0);
__decorate([
    LstData_1.LstData(90, { unit: 'mm2' }),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "area", void 0);
__decorate([
    LstData_1.LstData(100),
    __metadata("design:type", String)
], PartsInProgram.prototype, "customer", void 0);
__decorate([
    LstData_1.LstData(110),
    __metadata("design:type", String)
], PartsInProgram.prototype, "partNumber", void 0);
__decorate([
    LstData_1.LstData(120),
    __metadata("design:type", String)
], PartsInProgram.prototype, "name", void 0);
__decorate([
    LstData_1.LstData(130, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "sizeX", void 0);
__decorate([
    LstData_1.LstData(140, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "sizeY", void 0);
__decorate([
    LstData_1.LstData(170),
    __metadata("design:type", Boolean)
], PartsInProgram.prototype, "toBook", void 0);
__decorate([
    LstData_1.LstData(180, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "centerOfGravityX", void 0);
__decorate([
    LstData_1.LstData(190, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "centerOfGravityY", void 0);
__decorate([
    LstData_1.LstData(220, { unit: 'mm2' }),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "grossArea", void 0);
__decorate([
    LstData_1.LstData(230, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "sizeZInStack", void 0);
__decorate([
    LstData_1.LstData(240),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "partTypeIndex", void 0);
__decorate([
    LstData_1.LstData(250),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "mirroredCount", void 0);
__decorate([
    LstData_1.LstData(260, { unit: 'deg' }),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "angleInFile", void 0);
__decorate([
    LstData_1.LstData(500),
    __metadata("design:type", Number)
], PartsInProgram.prototype, "trumpf", void 0);
exports.PartsInProgram = PartsInProgram;
//# sourceMappingURL=PartsInProgram.js.map