"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PartsInProgramPos = void 0;
const LstData_1 = require("../model/LstData");
class PartsInProgramPos {
    static ID = 'PARTS_IN_PROGRAM_POS';
    id;
    mainProgramName;
    partId;
    x;
    y;
    sizeX;
    sizeY;
    angle;
    centerOfGravityX;
    centerOfGravityY;
    removalNumber;
    referencePart;
    unloadTableName;
    palletizingTableName;
    classification;
    palletizationSequenceNumber;
    unloadDataName;
    partTypeIndex;
    mirroredAtY;
    trumpf;
}
__decorate([
    LstData_1.LstData(10),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "id", void 0);
__decorate([
    LstData_1.LstData(20),
    __metadata("design:type", String)
], PartsInProgramPos.prototype, "mainProgramName", void 0);
__decorate([
    LstData_1.LstData(30),
    __metadata("design:type", String)
], PartsInProgramPos.prototype, "partId", void 0);
__decorate([
    LstData_1.LstData(60, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "x", void 0);
__decorate([
    LstData_1.LstData(70, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "y", void 0);
__decorate([
    LstData_1.LstData(80, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "sizeX", void 0);
__decorate([
    LstData_1.LstData(90, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "sizeY", void 0);
__decorate([
    LstData_1.LstData(100, { unit: 'deg' }),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "angle", void 0);
__decorate([
    LstData_1.LstData(150, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "centerOfGravityX", void 0);
__decorate([
    LstData_1.LstData(160, { unit: 'mm' }),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "centerOfGravityY", void 0);
__decorate([
    LstData_1.LstData(190),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "removalNumber", void 0);
__decorate([
    LstData_1.LstData(200),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "referencePart", void 0);
__decorate([
    LstData_1.LstData(210),
    __metadata("design:type", String)
], PartsInProgramPos.prototype, "unloadTableName", void 0);
__decorate([
    LstData_1.LstData(220),
    __metadata("design:type", String)
], PartsInProgramPos.prototype, "palletizingTableName", void 0);
__decorate([
    LstData_1.LstData(240),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "classification", void 0);
__decorate([
    LstData_1.LstData(300),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "palletizationSequenceNumber", void 0);
__decorate([
    LstData_1.LstData(310),
    __metadata("design:type", String)
], PartsInProgramPos.prototype, "unloadDataName", void 0);
__decorate([
    LstData_1.LstData(320),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "partTypeIndex", void 0);
__decorate([
    LstData_1.LstData(330),
    __metadata("design:type", Boolean)
], PartsInProgramPos.prototype, "mirroredAtY", void 0);
__decorate([
    LstData_1.LstData(500),
    __metadata("design:type", Number)
], PartsInProgramPos.prototype, "trumpf", void 0);
exports.PartsInProgramPos = PartsInProgramPos;
//# sourceMappingURL=PartsInProgramPos.js.map