"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Program = void 0;
const LstData_1 = require("../model/LstData");
class Program {
    static ID = 'PROGRAMM';
    name;
    type;
    description;
    processingTime;
    fileType;
    increaseRecordNumber;
    partTypeIndex;
    data;
}
__decorate([
    LstData_1.LstData(10),
    __metadata("design:type", String)
], Program.prototype, "name", void 0);
__decorate([
    LstData_1.LstData(20),
    __metadata("design:type", String)
], Program.prototype, "type", void 0);
__decorate([
    LstData_1.LstData(30),
    __metadata("design:type", String)
], Program.prototype, "description", void 0);
__decorate([
    LstData_1.LstData(40, { unit: 'min' }),
    __metadata("design:type", Number)
], Program.prototype, "processingTime", void 0);
__decorate([
    LstData_1.LstData(50),
    __metadata("design:type", String)
], Program.prototype, "fileType", void 0);
__decorate([
    LstData_1.LstData(60),
    __metadata("design:type", Boolean)
], Program.prototype, "increaseRecordNumber", void 0);
__decorate([
    LstData_1.LstData(70),
    __metadata("design:type", Number)
], Program.prototype, "partTypeIndex", void 0);
__decorate([
    LstData_1.LstDataAttachment(),
    __metadata("design:type", Array)
], Program.prototype, "data", void 0);
exports.Program = Program;
//# sourceMappingURL=Program.js.map