"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetupPlan = void 0;
const LstData_1 = require("../model/LstData");
class SetupPlan {
    static ID = 'EINRICHTEPLAN_INFO';
    machine;
    machineType;
    control;
    controlVersion;
    company;
    mainProgramName;
    author;
    date;
    order;
    sheetRepetitionCount;
    sheetName;
    size;
    material;
    sheetWeight;
    processingTime;
    note;
    automated;
    generatedByTops;
    setupPlanName;
    storageId;
    hasPalletization;
    palletizingMode;
    clearPallet;
    clearSuctionCups;
    palletType;
    processingTimeForPierceLine;
    cuttingLength;
    machineViewerName;
    platformType;
    powerClass;
    softwareVersion;
    workingRangeX;
    workingRangeY;
}
__decorate([
    LstData_1.LstData(10),
    __metadata("design:type", String)
], SetupPlan.prototype, "machine", void 0);
__decorate([
    LstData_1.LstData(20),
    __metadata("design:type", String)
], SetupPlan.prototype, "machineType", void 0);
__decorate([
    LstData_1.LstData(30),
    __metadata("design:type", String)
], SetupPlan.prototype, "control", void 0);
__decorate([
    LstData_1.LstData(40),
    __metadata("design:type", String)
], SetupPlan.prototype, "controlVersion", void 0);
__decorate([
    LstData_1.LstData(50),
    __metadata("design:type", String)
], SetupPlan.prototype, "company", void 0);
__decorate([
    LstData_1.LstData(60),
    __metadata("design:type", String)
], SetupPlan.prototype, "mainProgramName", void 0);
__decorate([
    LstData_1.LstData(70),
    __metadata("design:type", String)
], SetupPlan.prototype, "author", void 0);
__decorate([
    LstData_1.LstData(80),
    __metadata("design:type", String)
], SetupPlan.prototype, "date", void 0);
__decorate([
    LstData_1.LstData(90),
    __metadata("design:type", String)
], SetupPlan.prototype, "order", void 0);
__decorate([
    LstData_1.LstData(100),
    __metadata("design:type", Number)
], SetupPlan.prototype, "sheetRepetitionCount", void 0);
__decorate([
    LstData_1.LstData(110),
    __metadata("design:type", String)
], SetupPlan.prototype, "sheetName", void 0);
__decorate([
    LstData_1.LstData(120),
    __metadata("design:type", Number)
], SetupPlan.prototype, "size", void 0);
__decorate([
    LstData_1.LstData(130),
    __metadata("design:type", String)
], SetupPlan.prototype, "material", void 0);
__decorate([
    LstData_1.LstData(140, { unit: 'kg' }),
    __metadata("design:type", Number)
], SetupPlan.prototype, "sheetWeight", void 0);
__decorate([
    LstData_1.LstData(150, { unit: 'min' }),
    __metadata("design:type", Number)
], SetupPlan.prototype, "processingTime", void 0);
__decorate([
    LstData_1.LstData(160),
    __metadata("design:type", String)
], SetupPlan.prototype, "note", void 0);
__decorate([
    LstData_1.LstData(170),
    __metadata("design:type", Boolean)
], SetupPlan.prototype, "automated", void 0);
__decorate([
    LstData_1.LstData(180),
    __metadata("design:type", Boolean)
], SetupPlan.prototype, "generatedByTops", void 0);
__decorate([
    LstData_1.LstData(190),
    __metadata("design:type", String)
], SetupPlan.prototype, "setupPlanName", void 0);
__decorate([
    LstData_1.LstData(200),
    __metadata("design:type", String)
], SetupPlan.prototype, "storageId", void 0);
__decorate([
    LstData_1.LstData(210),
    __metadata("design:type", Boolean)
], SetupPlan.prototype, "hasPalletization", void 0);
__decorate([
    LstData_1.LstData(220),
    __metadata("design:type", Number)
], SetupPlan.prototype, "palletizingMode", void 0);
__decorate([
    LstData_1.LstData(230),
    __metadata("design:type", Boolean)
], SetupPlan.prototype, "clearPallet", void 0);
__decorate([
    LstData_1.LstData(240),
    __metadata("design:type", Boolean)
], SetupPlan.prototype, "clearSuctionCups", void 0);
__decorate([
    LstData_1.LstData(250),
    __metadata("design:type", String)
], SetupPlan.prototype, "palletType", void 0);
__decorate([
    LstData_1.LstData(260, { unit: 'min' }),
    __metadata("design:type", Number)
], SetupPlan.prototype, "processingTimeForPierceLine", void 0);
__decorate([
    LstData_1.LstData(270, { unit: 'mm' }),
    __metadata("design:type", Number)
], SetupPlan.prototype, "cuttingLength", void 0);
__decorate([
    LstData_1.LstData(280),
    __metadata("design:type", String)
], SetupPlan.prototype, "machineViewerName", void 0);
__decorate([
    LstData_1.LstData(360),
    __metadata("design:type", String)
], SetupPlan.prototype, "platformType", void 0);
__decorate([
    LstData_1.LstData(370),
    __metadata("design:type", String)
], SetupPlan.prototype, "powerClass", void 0);
__decorate([
    LstData_1.LstData(380),
    __metadata("design:type", String)
], SetupPlan.prototype, "softwareVersion", void 0);
__decorate([
    LstData_1.LstData(390, { unit: 'mm' }),
    __metadata("design:type", Number)
], SetupPlan.prototype, "workingRangeX", void 0);
__decorate([
    LstData_1.LstData(400, { unit: 'mm' }),
    __metadata("design:type", Number)
], SetupPlan.prototype, "workingRangeY", void 0);
exports.SetupPlan = SetupPlan;
//# sourceMappingURL=SetupPlan.js.map