"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SheetTech = void 0;
const LstData_1 = require("../model/LstData");
class SheetTech {
    static ID = 'SHEET_TECH';
    name;
    sizeX;
    sizeY;
    sizeZ;
    rawMaterialId;
    density;
    dynamicLevel;
    materialNumber;
    advancedEvaporateSwitch;
    advancedEvaporateCircleRadius;
    opticalReflectionProperty;
    isPrecut;
}
__decorate([
    LstData_1.LstData(10),
    __metadata("design:type", String)
], SheetTech.prototype, "name", void 0);
__decorate([
    LstData_1.LstData(20, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetTech.prototype, "sizeX", void 0);
__decorate([
    LstData_1.LstData(30, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetTech.prototype, "sizeY", void 0);
__decorate([
    LstData_1.LstData(40, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetTech.prototype, "sizeZ", void 0);
__decorate([
    LstData_1.LstData(240),
    __metadata("design:type", String)
], SheetTech.prototype, "rawMaterialId", void 0);
__decorate([
    LstData_1.LstData(260, { unit: 'kg/dm3' }),
    __metadata("design:type", Number)
], SheetTech.prototype, "density", void 0);
__decorate([
    LstData_1.LstData(280),
    __metadata("design:type", Number)
], SheetTech.prototype, "dynamicLevel", void 0);
__decorate([
    LstData_1.LstData(290),
    __metadata("design:type", String)
], SheetTech.prototype, "materialNumber", void 0);
__decorate([
    LstData_1.LstData(370),
    __metadata("design:type", Boolean)
], SheetTech.prototype, "advancedEvaporateSwitch", void 0);
__decorate([
    LstData_1.LstData(380, { unit: 'mm' }),
    __metadata("design:type", Number)
], SheetTech.prototype, "advancedEvaporateCircleRadius", void 0);
__decorate([
    LstData_1.LstData(390),
    __metadata("design:type", Number)
], SheetTech.prototype, "opticalReflectionProperty", void 0);
__decorate([
    LstData_1.LstData(420),
    __metadata("design:type", Boolean)
], SheetTech.prototype, "isPrecut", void 0);
exports.SheetTech = SheetTech;
//# sourceMappingURL=SheetTech.js.map